<?xml version="1.0" encoding="UTF-8"?>
<openerp>
	<data>
		<record id="data_pegawai_tree_view" model="ir.ui.view">
			<field name="name">partner.employee.tree</field>
			<field name="model">res.partner</field>
			<field eval="1" name="priority"/>
			
			<field name="arch" type="xml">
				<tree string="Data Pegawai" >
					<field string="NIP" name="nip"/>					
					<field string="Nama" name="name" invisible="True"/>
					<field string="Nama" name="fullname" />
					<field string="OPD/SKPD" name="company_id"/>
					<field name="department_id"   />
					<field name="job_type"   />
					<field name="eselon_id"  />
					<field name="golongan_id"   />
					<field name="job_id"   />


				</tree>
			</field>
		</record>
		
		<record id="data_pegawai_form_view" model="ir.ui.view">
			<field name="name">partner.employee.form</field>
			<field name="model">res.partner</field>
			<field eval="0" name="priority" />
			<field name="arch" type="xml">
				<form string="Data Pegawai" version="7.0">
					<header>
						<span name="for_inherit_header_object"></span>
					</header>
					<sheet>
						<field name="image" widget='image' class="oe_left oe_avatar" options='{"preview_image": "image_medium", "size": [90, 90]}'/>
						<div class="oe_title">
							
							<label for="name" class="oe_edit_only" />
						    <h1>
									<field name="name" default_focus="1" placeholder="Nama" />
							</h1>
						    
							<label for="nip" class="oe_edit_only"/>
						    <h2>
								<field name="nip" placeholder="NIP" attrs="{'required': [('employee','=',True)]}" />
							</h2>
						    <label for="company_id" class="oe_edit_only" string="OPD/SKPD" />
						    <h3>
								<field name="company_id"  attrs="{'required': [('employee','=',True)]}"  options='{"no_open": True,"no_create": True}' />
							</h3>
						</div>
						<group>
							<group>

									<field name="department_id"   />
									<field name="job_type"   />
									<field name="eselon_id"  widget="selection"  />
									<field name="golongan_id"   widget="selection"  />
									<field name="job_id"   />
									<field name="tmt_cpns" invisible="False" />
									<field name="tmt_pns"  invisible="False"/>
									<field name="tmt_golongan"  invisible="False" />
									<field name="jenjang_pendidikan_id"   />
								    <field name="jurusan_id"   />
								    <field name="pendidikan_terakhir"    invisible="False"  />


							</group>

						</group>	
						
						<notebook colspan="4">
							

						<page string="Informasi Umum">
								<group>
									<group>
										<field name="jenis_kelamin"  />
										<field name="tempat_lahir"  />
										<field name="tanggal_lahir"  />
										<field name="usia"  />			
										<field name="agama"  />
										<label for="street" string="Alamat"/>
										<div>
											<field name="street" placeholder="Alamat"/>
											<div class="address_format">
												<field name="city" placeholder="Kota" style="width: 40%%"/>
												<field name="state_id" class="oe_no_button" placeholder="State" style="width: 37%%" options='{"no_open": True}' on_change="onchange_state(state_id)"/>
												<field name="zip" placeholder="Kode Pos" style="width: 20%%"/>
											</div>
											<field name="country_id" placeholder="Country" class="oe_no_button" options='{"no_open": True}' invisible="True"/>
										</div>
												
									</group>
									<group>
										<field string="Telefon" name="phone"/>
										<field string="HP" name="mobile"/>
										<field string="Email" name="email"/>
										<field name="gelar_depan"  />
										<field name="gelar_blk"  />
										<field name="comment" placeholder="Tambahakan Keterangan Tambahan..."/>
										<field name="employee" invisible="False"  groups="base.group_no_one" />
										<field name="is_head_of_all" groups="base.group_no_one"  string="Kepala Daerah"/>
										<field name="is_kepala_opd" groups="base.group_no_one"  />
										<field name="supplier" invisible="True"/>
										<field name="customer" invisible="True"/>
										<field name="is_company" invisible="True"/>
										<field name="data_preparation" groups="base.group_no_one"/>
										<field name="is_share_users" groups="base.group_no_one"/>
									</group>
								</group>	
							</page>
											
						</notebook>
					</sheet>
					
				</form>
			</field>
		</record>
		
		<record model="ir.ui.view" id="data_pegawai_kanban_view">
            <field name="name">partner.employee.kanban</field>
            <field name="model">res.partner</field>
            <field name="arch" type="xml">
                <kanban>
                    <field name="name"/>
                    <field name="fullname"/>
                    <field name="nip"/>
                    <field name="company_id"/>
                    <field name="department_id"/>
                    <field name="has_image"/>
                    <templates>
                        <t t-name="kanban-box">
                            <div class="oe_kanban_vignette oe_semantic_html_override">
                                <a type="open">
                                    
                                    <t t-if="record.has_image.raw_value === true">
                                        <img t-att-src="kanban_image('res.partner', 'image_small', record.id.value)" class="oe_kanban_image"/>
                                    </t>
                                    
                                    <t t-if="record.has_image.raw_value === false">
                                      	<img t-att-src='_s + "/base/static/src/img/avatar.png"' class="oe_kanban_image"/>
                                    </t>
                                </a>
                                <div class="oe_kanban_details">
                                    <h4 class="oe_partner_heading">
                                       <a type="open"><field name="fullname"/></a>
                                    </h4>
	                                  
                                    <ul>
                                        <li t-if="record.nip.raw_value">NIP: <field name="nip"/></li>
                                        <li t-if="record.company_id.raw_value"> <field name="company_id"/></li>
                                        <li t-if="record.department_id.raw_value"> <field name="department_id"/></li>
                                        
                                    </ul>
                                </div>
                            </div>

                        </t>
                    </templates>
                </kanban>
            </field>
        </record>
        

            
		
		<record model="ir.ui.view" id="view_data_pegawai_filter_custom">
			<field name="name">custom.data.pegawai.search</field>
			<field name="model">res.partner</field>
			<field name="type">search</field>
			<field name="arch" type="xml">
				<search string="Pencarian...">
					<field name="name" string="Nama Pegawai"/>
                    <field name="nip" string="NIP"/>
                    <field name="company_id" string="OPD/SKPD" />
                    <field name="department_id"   />
					<field name="job_type"   />
					<field name="eselon_id"  />
					<field name="golongan_id"   />
					<field name="job_id"   />
					<group expand="0" string="Group By...">
                        <filter string="Bidang" icon="terp-personal+" domain="[]" context="{'group_by':'department_id'}"/>
                        <filter string="Eselon" icon="terp-personal+" domain="[]" context="{'group_by':'eselon_id'}"/>
						<filter string="Tipe Jabatan" icon="terp-personal+" domain="[]" context="{'group_by':'job_type'}"/>
					    <filter string="OPD/SKPD"  icon="terp-go-home" domain="[]" context="{'group_by':'company_id'}" />
                    </group>
				</search>
			</field>
		</record>
		
		<record id="action_data_pegawai" model="ir.actions.act_window">
			<field name="name">Pegawai</field>
			<field name="type">ir.actions.act_window</field>
			<field name="res_model">res.partner</field>
			<field name="view_type">form</field>
			<field name="view_mode">kanban,tree,form</field>
			<field name="domain">[('employee','=',True)]</field>
			<field name="search_view_id" ref="view_data_pegawai_filter_custom"/>
			<field name="help" type="html">
			<p >
			  Tekan untuk menambahkan data pegawai
			</p>
			</field>
		</record>
		<record model="ir.actions.act_window.view" id="action_data_pegawai_kanban_view">
			<field eval="3" name="sequence"/>
			<field name="view_mode">kanban</field>
			<field name="view_id" ref="data_pegawai_kanban_view"/>
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_data_pegawai_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="data_pegawai_tree_view"/>
			
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>
		
		<record model="ir.actions.act_window.view" id="action_data_pegawai_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="data_pegawai_form_view"/>
			<field name="act_window_id" ref="action_data_pegawai"/>
		</record>


		<menuitem id="menu_sub_admin_kepegawaian" name="Pegawai" parent="menu_data_kepegawaian" sequence="1" groups="group_partner_employee_admin"/>

		<menuitem id="menu_admin_pegawai" name="Pegawai" parent="menu_sub_admin_kepegawaian"
		sequence="1" action="action_data_pegawai" />

	</data>
</openerp>